<?php
//ini_set('display_error',1);
date_default_timezone_set('America/Lima');
session_start();
if($_SESSION["sistema"]!= "1"){ header("location: ../login/index.php"); exit();}

require_once ("../../config/Cado.php");
require_once ("../formatos/formato.php");
require_once ("../formatos/fechas.php");
require_once ("../grafica/cGrafica.php");
$oGrafica = new cGrafica();









$dts1=$oGrafica->mostrar_ventavalorizada_dia($_POST['mes'],$_POST['anio'],$_POST['punven_id']);
$num_rows= mysqli_num_rows($dts1);


?>
<style type="text/css">
select{
	cursor:pointer;
}

</style>


<div id="productosvalorizado" class="col-lg-12 col-sm-12 col-xs-12" style="height:400px;" ></div>

<script type="text/javascript">
$(function() {

Highcharts.chart('productosvalorizado', {

    title: {
        text: 'Valorizado de ventas',
        align: 'left'
    },
    xAxis: {
        categories: [
        <?php 
		while($dt1 = mysqli_fetch_array($dts1))
     	{
     	?>
     	'<?php echo fecha_entexto_corto2($dt1["tb_venta_fec"],2);?>',
     	<?php
      	}
        ?>
        ]
    },
    yAxis: {
        title: {
            text: 'Ventas Valorizadas'
        }
    },
    tooltip: {
        valueSuffix: ' soles.'
    },
    plotOptions: {
        series: {
            borderRadius: '5%'
        }
    },

    series: [

    	<?php
    	



		$dts1=$oGrafica->mostrar_ventavalorizada_dia($_POST['mes'],$_POST['anio'],$_POST['punven_id']);
		$num_rows= mysqli_num_rows($dts1);

		while($dt1 = mysqli_fetch_array($dts1))
     	{

		$dts2=$oGrafica->mostrar_ventavalorizada_fecha(fecha_mysql($dt1["tb_venta_fec"]),$dt1['tb_puntoventa_id']);
		$num_rows= mysqli_num_rows($dts2);
		while($dt2 = mysqli_fetch_array($dts2))
		{
			$sumprecos = moneda_mysql(formato_money4($dt2['precostot']));
		   	$sumpreven = moneda_mysql(formato_money4($dt2['preventot']));
		   	$sumdif = moneda_mysql(formato_money3($sumpreven - $sumprecos));
     	}
     		$datapreven .= "$sumpreven,";
     		$dataprecos .= "$sumprecos,";
     		$datadif .= "$sumdif,";
     		
     		$totalcosto +=$sumprecos;
     		$totalventa +=$sumpreven;
     		$totalganancia +=$sumdif; 

     		$sumpreven = 0;
     		$sumprecos = 0;
     		$sumdif = 0;
      	}

      	//echo $datapreven.' -- <br/>';
      	//echo $dataprecos.' -- <br/>';
      	//echo $datadif.' -- <br/>';

        ?>

    {
        type: 'column',
        name: 'Ventas',
        data: [<?php echo $datapreven; ?>]
    }, 

    {
        type: 'column',
        name: 'Ganancias',
        data: [<?php echo $datadif; ?>]
    }, 
    {
        type: 'column',
        name: 'Costos',
        data: [<?php echo $dataprecos; ?>]
    },

 


    {
        type: 'spline',
        name: 'Valorizado',
        data: [<?php echo $datadif; ?>],
        marker: {
            lineWidth: 2,
            lineColor: Highcharts.getOptions().colors[2],
            fillColor: 'white'
        }
    }, 



    {
        type: 'pie',
        name: 'Total',
        data: [

        {
            name: 'Ventas',
            y: <?php echo moneda_mysql(formato_money($totalventa)); ?>,
            color: Highcharts.getOptions().colors[0] // 2020 color
           
        }, {
            name: 'Costos',
            y: <?php echo moneda_mysql(formato_money($totalcosto)); ?>,
            color: Highcharts.getOptions().colors[2] // 2021 color
            

        }, {
            name: 'Ganancias',
            y: <?php echo moneda_mysql(formato_money($totalganancia)); ?>,
            color: Highcharts.getOptions().colors[1], // 2022 color
            dataLabels: {
                enabled: true,
                distance: -50,
                format: '{<?php echo moneda_mysql(formato_money($totalganancia)); ?>} S/ ',
                style: {
                    fontSize: '15px'
                }
            }
        }

        ],
        center: [75, 65],
        size: 100,
        innerSize: '70%',
        showInLegend: false,
        dataLabels: {
            enabled: false
        }
    }]
});




	}); 

</script>
